java.security

## Interface PrivateKey

All Superinterfaces:
  Key, Serializable

All Known Subinterfaces:
  DHPrivateKey, DSAPrivateKey, ECPrivateKey, RSAMultiPrimePrivateCrtKey, RSAPrivateCrtKey, RSAPrivateKey

    public interface PrivateKey
    extends Key

A private key. This interface contains no methods or constants. It merely serves to group (and provide type safety for) all private key interfaces. Note: The specialized private key interfaces extend this interface. See, for example, the DSAPrivateKey interface in `java.security.interfaces`.

See Also:
  `Key`, `PublicKey`, `Certificate`, `Signature.initVerify(java.security.PublicKey)`, `DSAPrivateKey`, `RSAPrivateKey`, `RSAPrivateCrtKey`

### Field Summary

Fields
`static long` `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

### Method Summary

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

See Also:
  Constant Field Values

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.